//----------------Lesson Content Service------------------
export const GET_LESSON_CONTENT_BY_LESSON_ID_REQUEST =
  "GET_LESSON_CONTENT_BY_LESSON_ID_REQUEST";
export const GET_LESSON_CONTENT_BY_LESSON_ID_SUCCESS =
  "GET_LESSON_CONTENT_BY_LESSON_ID_SUCCESS";
export const GET_LESSON_CONTENT_BY_LESSON_ID_ERROR =
  "GET_LESSON_CONTENT_BY_LESSON_ID_ERROR";

//----------------Lesson Plan Service------------------
export const GET_LESSON_PLAN_PRINTING_REQUEST =
  "GET_LESSON_PLAN_PRINTING_REQUEST";
export const GET_LESSON_PLAN_PRINTING_SUCCESS =
  "GET_LESSON_PLAN_PRINTING_SUCCESS";
export const GET_LESSON_PLAN_PRINTING_ERROR = "GET_LESSON_PLAN_PRINTING_ERROR";

export const ADD_DATA_TO_LESSON_PLAN_ITEMS = "ADD_DATA_TO_LESSON_PLAN_ITEMS";
export const ADD_NEW_LESSON_PLAN_ITEMS = "ADD_NEW_LESSON_PLAN_ITEMS";

export const ADD_LESSON_LESSONPLAN_REQUEST = "ADD_LESSON_LESSONPLAN_REQUEST";
export const ADD_LESSON_LESSONPLAN_SUCCESS = "ADD_LESSON_LESSONPLAN_SUCCESS";
export const ADD_LESSON_LESSONPLAN_ERROR = "ADD_LESSON_LESSONPLAN_ERROR";

export const ADD_VALIDATION_TO_LESSON_PLAN = "ADD_VALIDATION_TO_LESSON_PLAN";

export const REMOVE_LESSON_PLAN_ITEM = "REMOVE_LESSON_PLAN_ITEM";
export const CLEAR_LESSON_PLAN_ITEM = "CLEAR_LESSON_PLAN_ITEM";

export const GET_VALIDATION_LESSON_PLAN = "GET_VALIDATION_LESSON_PLAN";

export const PICK_A_RUBRIC_TO_LESSON_PLAN_ITEM =
  "PICK_A_RUBRIC_TO_LESSON_PLAN_ITEM";

export const DELETE_RUBRIC_FROM_LESSON_PLAN_ITEM =
  "DELETE_RUBRIC_FROM_LESSON_PLAN_ITEM";

export const IMPORT_LESSON_PLAN_TO_LESSON_CONTENT_REQUEST =
  "IMPORT_LESSON_PLAN_TO_LESSON_CONTENT_REQUEST";
export const IMPORT_LESSON_PLAN_TO_LESSON_CONTENT_SUCCESS =
  "IMPORT_LESSON_PLAN_TO_LESSON_CONTENT_SUCCESS";
export const IMPORT_LESSON_PLAN_TO_LESSON_CONTENT_ERROR =
  "IMPORT_LESSON_PLAN_TO_LESSON_CONTENT_ERROR";

export const ADD_LIVE_SESSION_REQUEST = "ADD_LIVE_SESSION_REQUEST";
export const ADD_LIVE_SESSION_SUCCESS = "ADD_LIVE_SESSION_SUCCESS";
export const ADD_LIVE_SESSION_ERROR = "ADD_LIVE_SESSION_ERROR";

export const GET_LESSON_PLAN_BY_LESSON_PLAN_ID_REQUEST =
  "GET_LESSON_PLAN_BY_LESSON_PLAN_ID_REQUEST";
export const GET_LESSON_PLAN_BY_LESSON_PLAN_ID_SUCCESS =
  "GET_LESSON_PLAN_BY_LESSON_PLAN_ID_SUCCESS";
export const GET_LESSON_PLAN_BY_LESSON_PLAN_ID_ERROR =
  "GET_LESSON_PLAN_BY_LESSON_PLAN_ID_ERROR";

export const EXPORT_LESSON_PLAN_AS_PDF_REQUEST =
  "EXPORT_LESSON_PLAN_AS_PDF_REQUEST";
export const EXPORT_LESSON_PLAN_AS_PDF_SUCCESS =
  "EXPORT_LESSON_PLAN_AS_PDF_SUCCESS";
export const EXPORT_LESSON_PLAN_AS_PDF_ERROR =
  "EXPORT_LESSON_PLAN_AS_PDF_ERROR";

//---------------- ------------------

export const DELETE_LESSON_REQUEST = "DELETE_LESSON_REQUEST";
export const DELETE_LESSON_SUCCESS = "DELETE_LESSON_SUCCESS";
export const DELETE_LESSON_ERROR = "DELETE_LESSON_ERROR";
export const CONFIRM_DELETE_LESSON_REQUEST = "CONFIRM_DELETE_LESSON_REQUEST";
export const CONFIRM_DELETE_LESSON_SUCCESS = "CONFIRM_DELETE_LESSON_SUCCESS";
export const CONFIRM_DELETE_LESSON_ERROR = "CONFIRM_DELETE_LESSON_ERROR";

export const SET_LESSON_ID = "SET_LESSON_ID";

export const GET_COURSES_REQUEST = "GET_COURSES_REQUEST";

export const GET_LESSONS_CONTENT_REQUEST = "GET_LESSONS_CONTENT_REQUEST";
export const GET_LESSONS_CONTENT_ERROR = "GET_LESSONS_CONTENT_ERROR";

export const GET_PATTERN_REQUEST = "GET_PATTERN_REQUEST";
export const GET_PATTERN_SUCCESS = "GET_PATTERN_SUCCESS";
export const GET_PATTERN_ERROR = "GET_PATTERN_ERROR";
export const GET_STUDENT_DETAILS_REQUEST = "GET_STUDENT_DETAILS_REQUEST";
export const GET_STUDENT_DETAILS_SUCCESS = "GET_STUDENT_DETAILS_SUCCESS";
export const GET_STUDENT_DETAILS_ERROR = "GET_STUDENT_DETAILS_ERROR";
export const POST_STUDENT_DETAILS_REQUEST = "POST_STUDENT_DETAILS_REQUEST";
export const POST_STUDENT_DETAILS_SUCCESS = "POST_STUDENT_DETAILS_SUCCESS";
export const POST_STUDENT_DETAILS_ERROR = "POST_STUDENT_DETAILS_ERROR";
export const UPDATE_STUDENTS_DETAIL_FIELDS = "UPDATE_STUDENTS_DETAIL_FIELDS";
export const SET_STUDENT_ID = "SET_STUDENT_ID";
export const SET_QUESTION_SET_ID = "SET_QUESTION_SET_ID";
export const UPDATE_STUDENTS_MARK_FIELDS = "UPDATE_STUDENTS_MARK_FIELDS";

export const GET_QUESTION_SETS_REQUEST = "GET_QUESTION_SETS_REQUEST";
export const GET_QUESTION_SETS_SUCCESS = "GET_QUESTION_SETS_SUCCESS";
export const GET_QUESTION_SETS_ERROR = "GET_QUESTION_SETS_ERROR";
export const GET_COURSES_SUCCESS = "GET_COURSES_SUCCESS";
export const GET_COURSES_ERROR = "GET_COURSES_ERROR";
export const GET_COURSE_CONTENT_REQUEST = "GET_COURSE_CONTENT_REQUEST";
export const GET_COURSE_CONTENT_SUCCESS = "GET_COURSE_CONTENT_SUCCESS";
export const GET_COURSE_CONTENT_ERROR = "GET_COURSE_CONTENT_ERROR";
export const GET_RAB_BOOKS_REQUEST = "GET_RAB_BOOKS_REQUEST";
export const GET_RAB_BOOKS_SUCCESS = "GET_RAB_BOOKS_SUCCESS";
export const GET_RAB_BOOKS_ERROR = "GET_RAB_BOOKS_ERROR";
export const GET_STUDENTS_REQUEST = " GET_STUDENTS_REQUEST";
export const GET_STUDENTS_SUCCESS = "GET_STUDENTS_SUCCESS";
export const GET_STUDENTS_ERROR = "GET_STUDENTS_ERROR";
export const TEACHER_VIEW_EVENT_CALENDER_REQUEST =
  "TEACHER_VIEW_EVENT_CALENDER_REQUEST";
export const TEACHER_VIEW_EVENT_CALENDER_SUCCESS =
  "TEACHER_VIEW_EVENT_CALENDER_SUCCESS";
export const TEACHER_VIEW_EVENT_CALENDER_ERROR =
  "TEACHER_VIEW_EVENT_CALENDER_ERROR";
export const TEACHER_VIEW_GRADING_BOOK = "TEACHER_VIEW_GRADING_BOOK";
export const SET_GRADING_BOOK = "SET_GRADING_BOOK";
export const VIEW_RAB_EVALUATION = "VIEW_RAB_EVALUATION";
export const GET_ALL_COURSES_QS_IDES_SUCCESS =
  " GET_ALL_COURSES_QS_IDES_SUCCESS";
export const DELETE_QUESTION_SET_REQUEST = "DELETE_QUESTION_SET_REQUEST";
export const DELETE_QUESTION_SET_SUCCESS = "DELETE_QUESTION_SET_SUCCESS";
export const DELETE_QUESTION_SET_ERROR = "DELETE_QUESTION_SET_ERROR";
export const FILL_QS_INFO = "FILL_QS_INFO";
export const GET_SINGLE_COURSE_QS_REQUEST = "GET_SINGLE_COURSE_QS_REQUEST";
export const GET_SINGLE_COURSE_QS_SUCCESS = "GET_SINGLE_COURSE_QS_SUCCESS";
export const GET_SINGLE_COURSE_QS_ERROR = " GET_SINGLE_COURSE_QS_ERROR";
export const GET_ALL_COURSES_REQUEST = "GET_ALL_COURSES_REQUEST";
export const GET_ALL_COURSES_SUCCESS = "GET_ALL_COURSES_SUCCESS";
export const GET_ALL_COURSES_ERROR = "GET_ALL_COURSES_ERROR";
export const GET_ALLOWED_APPS_REQUEST = "GET_ALLOWED_APPS_REQUEST";
export const GET_ALLOWED_APPS_SUCCESS = "GET_ALLOWED_APPS_SUCCESS";
export const GET_ALLOWED_APPS_ERROR = "GET_ALLOWED_APPS_ERROR";
export const GET_COURSE_CONTENTS_BY_COURSE_ID_SUCCESS =
  "GET_COURSE_CONTENTS_BY_COURSE_ID_SUCCESS";
export const GET_COURSE_CONTENTS_BY_COURSE_ID_ERROR =
  "GET_COURSE_CONTENTS_BY_COURSE_ID_ERROR";
export const GET_SELECTED_PATTERN_INFO = "GET_SELECTED_PATTERN_INFO";
export const EDIT_SETTINGS = "EDIT_SETTINGS";
export const UPDATE_GROUP_NAME = "UPDATE_GROUP_NAME";
export const DELETE_TOPIC_FROM_GROUP = "DELETE_TOPIC_FROM_GROUP";
export const QS_PATTERN_SELECT_SPECIFIC_GROUP =
  "QS_PATTERN_SELECT_SPECIFIC_GROUP";
export const QS_PATTERN_Delete_GROUP = "QS_PATTERN_Delete_GROUP";
export const QS_PATTERN_ADD_GROUP = "QS_PATTERN_ADD_GROUP";
export const QS_PATTERN_ADD_TOPIC_TO_GROUP = "QS_PATTERN_ADD_TOPIC_TO_GROUP";
export const GET_TOPICS_BY_COURSE_ID_ERROR = "GET_TOPICS_BY_COURSE_ID_ERROR";
export const CHANGE_SEARCH_MODE_SUCCESS = "CHANGE_SEARCH_MODE_SUCCESS";
export const GET_TOPICS_BY_COURSE_ID_SUCCESS =
  "GET_TOPICS_BY_COURSE_ID_SUCCESS";
export const QS_DELETE_PATTERN = "QS_DELETE_PATTERN";
export const GET_SELECTED_PATTERN_TOTAL_GRADE =
  "GET_SELECTED_PATTERN_TOTAL_GRADE";
export const CLEAR_QS_QLLOWED_APPS = "CLEAR_QS_QLLOWED_APPS";
export const GET_SELECTED_PATTERN_ID = "GET_SELECTED_PATTERN_ID";
export const GET_SELECTED_GROUP_ID = "GET_SELECTED_GROUP_ID";
export const GET_SELECTED_TOPIC = "GET_SELECTED_TOPIC";
export const NOT_SAVE_EDIT = "NOT_SAVE_EDIT";
export const ADD_NEW_PATTERN = "ADD_NEW_PATTERN";
export const UPDATE_QS_VALUE = "UPDATE_QS_VALUE";
export const CREATE_COPY_QS_VALUE = "CREATE_COPY_QS_VALUE";
export const UPDATE_COURSES_VALUE = "UPDATE_COURSES_VALUE";
export const CLEAR_QS_COURSES = "CLEAR_QS_COURSES";
export const SAVE_QS_REQUEST = "SAVE_QS_REQUEST";
export const SAVE_QS_ERROR = "SAVE_QS_ERROR";
export const CREATE_QUESTION_SETS_COPY_REQUEST =
  "CREATE_QUESTION_SETS_COPY_REQUEST";
export const CREATE_QUESTION_SETS_COPY_ERROR =
  "CREATE_QUESTION_SETS_COPY_ERROR";
export const CHANGE_PATTERN_NAME = "CHANGE_PATTERN_NAME";
export const CALC_TOTAL_GRADE_GROUP = "CALC_TOTAL_GRADE_GROUP";
export const UPDATE_GROUP_GRADE_VALUE = "UPDATE_GROUP_GRADE_VALUE";
export const UPDATE_TOPICS_GRADE_VALUE = "UPDATE_TOPICS_GRADE_VALUE";
export const GET_LESSON_LESSONPLAN_REQUEST = "GET_LESSON_LESSONPLAN_REQUEST";
export const GET_LESSON_LESSONPLAN_SUCCESS = "GET_LESSON_LESSONPLAN_SUCCESS";
export const GET_LESSON_LESSONPLAN_ERROR = "GET_LESSON_LESSONPLAN_ERROR";
export const IMPORT_LESSON_PLAN_SUCCESS = "IMPORT_LESSON_PLAN_SUCCESS";
export const IMPORT_LESSON_PLAN_ERROR = "IMPORT_LESSON_PLAN_ERROR";
export const ADD_ITEMS_TO_LESSON_PLAN = "ADD_ITEMS_TO_LESSON_PLAN";
export const SET_LESSON_PLAN_VALUE = "SET_LESSON_PLAN_VALUE";
export const SET_LESSON_PLAN_TAGS = "SET_LESSON_PLAN_TAGS";
export const PICK_AN_ITEM_TO_STORE = "PICK_AN_ITEM_TO_STORE";
export const DELETE_ITEM_FROM_LESSON_PLAN = "DELETE_ITEM_FROM_LESSON_PLAN";
export const EDIT_ITEM_VALUE = "EDIT_ITEM_VALUE";
export const ADD_NEW_ITEM_LESSON_PLAN = "ADD_NEW_ITEM_LESSON_PLAN";
export const EMPTY_CHOOSE_ITEMS = "EMPTY_CHOOSE_ITEMS";
export const SAVE_LESSON_LESSON_PLAN_SUCCESS =
  "SAVE_LESSON_LESSON_PLAN_SUCCESS";
export const SAVE_LESSON_LESSON_PLAN_REQUEST =
  "SAVE_LESSON_LESSON_PLAN_REQUEST";
export const SAVE_LESSON_LESSON_PLAN_ERROR = "SAVE_LESSON_LESSON_PLAN_ERROR";

//lesson
export const GET_LESSON_BOOKS = "GET_LESSON_BOOKS";
export const GET_LESSON_CONTENT = "GET_LESSON_CONTENT";
export const GET_LESSONS_CONTENT = "GET_LESSONS_CONTENT";
export const ADD_BOOK_TO_LESSON = "ADD_BOOK_TO_LESSON";
export const GET_LESSON_RECORING = "GET_LESSON_RECORING";
export const GET_LESSON_SUPPLEMENT_REQUEST = "GET_LESSON_SUPPLEMENT_REQUEST";
export const GET_LESSON_SUPPLEMENT = "GET_LESSON_SUPPLEMENT";
export const GET_LESSON_SUPPLEMENT_ERROR = "GET_LESSON_SUPPLEMENT_ERROR";
export const GET_SUPPLEMENT_RECORD = "GET_SUPPLEMENT_RECORD";
export const GET_LESSON_ATTACHMENT = "GET_LESSON_ATTACHMENT";
export const GET_LESSON_EXAMS = "GET_LESSON_EXAMS";
export const GET_QUESTION_SET_STUDENT_AND_PATTERNS =
  "GET_QUESTION_SET_STUDENT_AND_PATTERNS";
export const GET_QUESTION_SET_SUGGESTED_PERIODS =
  "GET_QUESTION_SET_SUGGESTED_PERIODS";
export const GET_QUESTION_SET_lESSON_CLOSED_REQUEST =
  "GET_QUESTION_SET_lESSON_CLOSED_REQUEST";
export const GET_QUESTION_SET_lESSON_CLOSED_SUCCESS =
  "GET_QUESTION_SET_lESSON_CLOSED_SUCCESS";
export const GET_QUESTION_SET_lESSON_CLOSED_ERROR =
  "GET_QUESTION_SET_lESSON_CLOSED_ERROR";
export const SHOW_REPORT_GRID_VIEW_SUCCESS = "SHOW_REPORT_GRID_VIEW_SUCCESS";
export const GET_REPORT_BY_ID_SUCCESS = "GET_REPORT_BY_ID_SUCCESS";
export const GET_LESSON_ATTACHMENTS_REQUEST = "GET_LESSON_ATTACHMENTS_REQUEST";
export const GET_LESSON_ATTACHMENTS = "GET_LESSON_ATTACHMENTS";
export const GET_LESSON_ATTACHMENTS_ERROR = "GET_LESSON_ATTACHMENTS_ERROR";
export const GET_LESSON_VC_RECORDINGS_REQUEST =
  "GET_LESSON_VC_RECORDINGS_REQUEST";
export const GET_LESSON_VC_RECORDINGS = "GET_LESSON_VC_RECORDINGS";
export const GET_LESSON_VC_RECORDINGS_ERROR = "GET_LESSON_VC_RECORDINGS_ERROR";
export const GET_LESSON_ASSIGNMENTS_REQUEST = "GET_LESSON_ASSIGNMENTS_REQUEST";
export const GET_LESSON_ASSIGNMENTS = "GET_LESSON_ASSIGNMENTS";
export const GET_LESSON_ASSIGNMENTS_ERROR = "GET_LESSON_ASSIGNMENTS_ERROR";
export const GET_LESSON_VC_SUPPLEMENT_RECORDINGS_REQUEST =
  "GET_LESSON_VC_SUPPLEMENT_RECORDINGS_REQUEST";
export const GET_LESSON_VC_SUPPLEMENT_RECORDINGS =
  "GET_LESSON_VC_SUPPLEMENT_RECORDINGS";
export const GET_LESSON_VC_SUPPLEMENT_RECORDINGS_ERROR =
  "GET_LESSON_VC_SUPPLEMENT_RECORDINGS_ERROR";
export const GET_MEETINGINFO = "GET_MEETINGINFO";
export const GET_LESSONINFO = "GET_LESSONINFO";
export const EMPTY_STORE = "EMPTY_STORE";
export const DONE_SAVELESSONPLAN = "DONE_SAVELESSONPLAN";
export const GET_TEACHER_DASHBOARD_REQUEST = "GET_TEACHER_DASHBOARD_REQUEST";
export const GET_TEACHER_DASHBOARD_ERROR = "GET_TEACHER_DASHBOARD_ERROR";
export const GET_TEACHER_TODOLIST = "GET_TEACHER_TODOLIST";
export const GET_TEACHER_COURSES = "GET_TEACHER_COURSES";
export const GET_TEACHER_LIVESESSIONS = "GET_TEACHER_LIVESESSIONS";
export const GET_TEACHER_EVENTS = "GET_TEACHER_EVENTS";
export const GET_TEACHER_COLLABORATION = "GET_TEACHER_COLLABORATION";
export const MARK_AS_DONE_REQUEST = "MARK_AS_DONE_REQUEST";
export const MARK_AS_DONE_SUCCESS = "  MARK_AS_DONE_SUCCESS";
export const MARK_AS_DONE_ERROR = "  MARK_AS_DONE_ERROR";
export const EMPTY_STORE_QS = "EMPTY_STORE_QS";
export const UPDATE_LESSONPAGEBOOK_REQUEST = "UPDATE_LESSONPAGEBOOK_REQUEST";
export const UPDATE_LESSONPAGEBOOK_SUCCESS = "UPDATE_LESSONPAGEBOOK_SUCCESS";
export const UPDATE_LESSONPAGEBOOK_ERROR = "UPDATE_LESSONPAGEBOOK_ERROR";

export const GET_TEACHER_HOME_ROOM_REQUEST = "GET_TEACHER_HOME_ROOM_REQUEST";
export const GET_TEACHER_HOME_ROOM_SUCCESS = "GET_TEACHER_HOME_ROOM_SUCCESS";
export const GET_TEACHER_HOME_ROOM_ERROR = "GET_TEACHER_HOME_ROOM_ERROR";
export const GET_STUDENT_HOME_ROOM_REQUEST = "GET_STUDENT_HOME_ROOM_REQUEST";
export const GET_STUDENT_HOME_ROOM_SUCCESS = "GET_STUDENT_HOME_ROOM_SUCCESS";
export const GET_STUDENT_HOME_ROOM_ERROR = "GET_STUDENT_HOME_ROOM_ERROR";
export const GET_ATTENDANCE_TYPES_REQUEST = "GET_ATTENDANCE_TYPES_REQUEST";
export const GET_ATTENDANCE_TYPES_SUCCESS = "GET_ATTENDANCE_TYPES_SUCCESS";
export const GET_ATTENDANCE_TYPES_ERROR = "GET_ATTENDANCE_TYPES_ERROR";
export const SET_ATTENDANCE_VALUES_TO_STUDENTS =
  "SET_ATTENDANCE_VALUES_TO_STUDENTS";
export const GET_ATTENDANCE_VALUES_TO_STUDENTS =
  "GET_ATTENDANCE_VALUES_TO_STUDENTS";
export const POST_SET_ATTENDANCE_REQUEST = "POST_SET_ATTENDANCE_REQUEST";
export const POST_SET_ATTENDANCE_SUCCESS = "POST_SET_ATTENDANCE_SUCCESS";
export const POST_SET_ATTENDANCE_ERROR = "POST_SET_ATTENDANCE_ERROR";
export const SEARCH_STUDENTS_ATTENDANCE_REQUEST =
  "SEARCH_STUDENTS_ATTENDANCE_REQUEST";
export const SEARCH_STUDENTS_ATTENDANCE_SUCCESS =
  "SEARCH_STUDENTS_ATTENDANCE_SUCCESS";
export const SEARCH_STUDENTS_ATTENDANCE_ERROR =
  "SEARCH_STUDENTS_ATTENDANCE_ERROR";
export const DELETE_STUDENTS_ATTENDANCE_REQUEST =
  "DELETE_STUDENTS_ATTENDANCE_REQUEST";
export const DELETE_STUDENTS_ATTENDANCE_SUCCESS =
  "DELETE_STUDENTS_ATTENDANCE_SUCCESS";
export const DELETE_STUDENTS_ATTENDANCE_ERROR =
  "DELETE_STUDENTS_ATTENDANCE_ERROR";

export const SHOW_LESSON_FROM_BOOK = "SHOW_LESSON_FROM_BOOK";

export const GET_PERIOD_REQUEST = "GET_PERIOD_REQUEST";
export const GET_PERIOD_SUCCESS = "GET_PERIOD_SUCCESS";
export const GET_PERIOD_ERROR = "GET_PERIOD_ERROR";

export const SYNCHRONIZE_RAB_REQUEST = "SYNCHRONIZE_RAB_REQUEST";
export const SYNCHRONIZE_RAB_SUCCESS = "SYNCHRONIZE_RAB_SUCCESS";
export const SYNCHRONIZE_RAB_ERROR = "SYNCHRONIZE_RAB_ERROR";

//service Section Types
export const ADD_COURSE_REQUEST = "ADD_COURSE_REQUEST";
export const ADD_COURSE_SUCCESS = "ADD_COURSE_SUCCESS";
export const ADD_COURSE_ERROR = "ADD_COURSE_ERROR";
export const FETCH_NEW_DATA = "FETCH_NEW_DATA";

//service Lesson Link
export const ADD_LESSON_LINK_REQUEST = "ADD_LESSON_LINK_REQUEST";
export const ADD_LESSON_LINK_SUCCESS = "ADD_LESSON_LINK_SUCCESS";
export const ADD_LESSON_LINK_ERROR = "ADD_LESSON_LINK_ERROR";

export const EDIT_LESSON_LINK_REQUEST = "EDIT_LESSON_LINK_REQUEST";
export const EDIT_LESSON_LINK_SUCCESS = "EDIT_LESSON_LINK_SUCCESS";
export const EDIT_LESSON_LINK_ERROR = "EDIT_LESSON_LINK_ERROR";

export const REMOVE_LESSON_LINK_REQUEST = "REMOVE_LESSON_LINK_REQUEST";
export const REMOVE_LESSON_LINK_SUCCESS = "REMOVE_LESSON_LINK_SUCCESS";
export const REMOVE_LESSON_LINK_ERROR = "REMOVE_LESSON_LINK_ERROR";

export const SHOW_LESSON_LINK_REQUEST = "SHOW_LESSON_LINK_REQUEST";
export const SHOW_LESSON_LINK_SUCCESS = "SHOW_LESSON_LINK_SUCCESS";
export const SHOW_LESSON_LINK_ERROR = "SHOW_LESSON_LINK_ERROR";

export const ADD_LESSON_TEXT_REQUEST = "ADD_LESSON_TEXT_REQUEST";
export const ADD_LESSON_TEXT_SUCCESS = "ADD_LESSON_TEXT_SUCCESS";
export const ADD_LESSON_TEXT_ERROR = "ADD_LESSON_TEXT_ERROR";

export const EDIT_LESSON_TEXT_REQUEST = "EDIT_LESSON_TEXT_REQUEST";
export const EDIT_LESSON_TEXT_SUCCESS = "EDIT_LESSON_TEXT_SUCCESS";
export const EDIT_LESSON_TEXT_ERROR = "EDIT_LESSON_TEXT_ERROR";

export const REMOVE_LESSON_TEXT_REQUEST = "REMOVE_LESSON_TEXT_REQUEST";
export const REMOVE_LESSON_TEXT_SUCCESS = "REMOVE_LESSON_TEXT_SUCCESS";
export const REMOVE_LESSON_TEXT_ERROR = "REMOVE_LESSON_TEXT_ERROR";

export const SHOW_LESSON_TEXT_REQUEST = "SHOW_LESSON_TEXT_REQUEST";
export const SHOW_LESSON_TEXT_SUCCESS = "SHOW_LESSON_TEXT_SUCCESS";
export const SHOW_LESSON_TEXT_ERROR = "SHOW_LESSON_TEXT_ERROR";

export const ADD_LESSON_FILE_REQUEST = "ADD_LESSON_FILE_REQUEST";
export const ADD_LESSON_FILE_SUCCESS = "ADD_LESSON_FILE_SUCCESS";
export const ADD_LESSON_FILE_ERROR = "ADD_LESSON_FILE_ERROR";

export const REMOVE_LESSON_FILE_REQUEST = "REMOVE_LESSON_FILE_REQUEST";
export const REMOVE_LESSON_FILE_SUCCESS = "REMOVE_LESSON_FILE_SUCCESS";
export const REMOVE_LESSON_FILE_ERROR = "REMOVE_LESSON_FILE_ERROR";

export const REFRESH_LISTER = "REFRESH_LISTER";
export const REFRESH_LISTER_TEXT = "REFRESH_LISTER_TEXT";
export const REFRESH_LISTER_FILE = "REFRESH_LISTER_FILE";
export const SET_LESSON_LINK_ID = "SET_LESSON_LINK_ID";
export const SET_LESSON_TEXT_ID = "SET_LESSON_TEXT_ID";

export const ADD_BADGE_REQUEST = "ADD_BADGE_REQUEST";
export const ADD_BADGE_SUCCESS = "ADD_BADGE_SUCCESS";
export const ADD_BADGE_ERROR = "ADD_BADGE_ERROR";
export const REMOVE_BADGE_REQUEST = "REMOVE_BADGE_REQUEST";
export const REMOVE_BADGE_SUCCESS = "REMOVE_BADGE_SUCCESS";
export const REMOVE_BADGE_ERROR = "REMOVE_BADGE_ERROR";

export const REFRESH_LISTER_BADGE = "REFRESH_LISTER_BADGE";

export const DELETE_LESSON_CONTENT_REQUEST = "DELETE_LESSON_CONTENT_REQUEST";
export const DELETE_LESSON_CONTENT_SUCCESS = "DELETE_LESSON_CONTENT_SUCCESS";
export const DELETE_LESSON_CONTENT_ERROR = "DELETE_LESSON_CONTENT_ERROR";

export const EDIT_LESSON_ATTACHMENT_REQUEST = " EDIT_LESSON_ATTACHMENT_REQUEST";
export const EDIT_LESSON_ATTACHMENT_SUCCESS = "EDIT_LESSON_ATTACHMENT_SUCCESS";
export const EDIT_LESSON_ATTACHMENT_ERROR = "EDIT_LESSON_ATTACHMENT_ERROR";

export const LIVE_SESSION_BY_ID_REQUEST = "LIVE_SESSION_BY_ID_REQUEST";
export const LIVE_SESSION_BY_ID_SUCCESS = "LIVE_SESSION_BY_ID_SUCCESS";
export const LIVE_SESSION_BY_ID_ERROR = "LIVE_SESSION_BY_ID_ERROR";
